package cn.com.countrygarden.bi.main.controller.wcx;

import cn.com.countrygarden.bi.main.constant.wcx.WcxConstant;
import cn.com.countrygarden.bi.main.core.Response;
import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.wcx.WcxUserDto;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.service.wcx.WcxUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

/**
 * 微创新用户控制层
 * 新增角色
 * 维护用户角色
 * 修改角色
 * 修改权重比例
 * 查询分页的角色
 * @author ferren
 */
@RestController
@RequestMapping("/api/wcx/user")
public class WcxUserController {
    @Autowired
    private WcxUserService wcxUserService;

    /**
     * 根据角色Id查询旗下人员
     * 根据名称模糊搜索旗下人员
     * @param dto
     * @return
     */
    @GetMapping("/pageList")
    public Result selectPageList(WcxUserDto dto){
        String roleId = dto.getRoleId();
        String userName = dto.getUserName();
        //PageData pageData = wcxUserService.selectPageList(dto);
        PageData pageData = null;
        if (StringUtils.hasText(roleId)) {
            // 根据角色Id查询旗下人员
            pageData = wcxUserService.selectPageList(roleId, dto.getPageIndex(), dto.getPageSize());
        } else {
            // 根据名称模糊搜索旗下人员
            pageData = wcxUserService.selectDocUserPageList(userName, dto.getPageIndex(), dto.getPageSize());
        }
        return Response.response(pageData);
    }

    /**
     * 修改人员对应角色
     * @param userId    员工id
     * @return
     */
    @PutMapping("/{employeeCardId}/role")
    public Result updateEmpRole(@RequestParam String employeeCardId, @RequestParam String roleId){
        wcxUserService.updateEmpRoleByEmpCardId(employeeCardId, roleId);
        return Response.response(WcxConstant.DEAL_SUCCESS);
    }


}
